import request from '@/router/axios';

//分页获取列表
export const queryUserAssessmentPage = (params) => {
    return request({
        url: '/api/blade-business/businessUserOpinion/queryUserAssessmentPage',
        method: 'get',
        params
    })
}

//取消考核
export const cancelAssessment = (data) => {
    return request({
        url: '/api/blade-manager/assessmentUser/cancelAssessment',
        method: 'post',
        params: data
    })
}

//获取所有维护人员
export const findMaintenanceUser = (params) => {
    return request({
        url: '/api/blade-manager/assessmentUser/findMaintenanceUser',
        method: 'get',
        params
    })
}



//查询所有考核人员的考核记录
export const queryAllUserAssessmentContent = (params) => {
    return request({
        url: '/api/blade-manager/assessmentUser/queryAllUserAssessmentContent',
        method: 'get',
        params
    })
}